Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IRtfTextrunContainer

All Known Implementing Classes:
  org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAfterBeforeBase, RtfFootnote, RtfHyperLink, RtfListItem, RtfListItem.RtfListItemLabel, RtfSection, RtfTableCell

public interface IRtfTextrunContainer

Interface which enables an implementing class to contain linear text runs.

Author:
  Peter Herweg, pherweg@web.de

Method Summary
`RtfTextrun` | `getTextrun()` Returns the current RtfTextrun object.

Method Detail

### getTextrun

    public RtfTextrun getTextrun()
                          throws java.io.IOException

  Returns the current RtfTextrun object. Opens a new one if necessary.

  Returns:
    The RtfTextrun object
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.